Page MenuHomePhabricator

Archive the "Wikilog" extension (has moved toGitHub)
Closed, ResolvedPublic

Description

In https://www.mediawiki.org/wiki/Extension:Wikilog there are links both to https://phabricator.wikimedia.org/r/p/mediawiki/extensions/Wikilog; and to https://github.com/mediawiki4intranet/Wikilog

These repositories contains different version of the code. Need to note explicitly at https://www.mediawiki.org/wiki/Extension:Wikilog which of them is "correct" not to deceive the users to download a wrong version.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 2 2017, 8:00 PM
Aklapper moved this task from Backlog to Team radar on the Developer-Advocacy board.
Aklapper added a subscriber: VitaliyFilippov.

If nobody more is maintaining it then github/mediawiki4intranet one is "correct"

@VitaliyFilippov: Looking at the repository in Wikimedia Git/Gerrit/Diffusion, https://phabricator.wikimedia.org/diffusion/EWLG/history/master/ lists some recent cleanup / Technical-Debt commits (which take place as anyone can quickly grep all extensions in Wikimedia Git, while maintainers on GitHub are basically on their own keeping their code updated to work with recent MediaWiki versions.

https://phabricator.wikimedia.org/diffusion/EWLG/browse/master/CREDITS lists Juliano as maintainer (I have no contact info, is he still active?) and you as a contributor; you updated the extension wiki page to point to GitHub.

As GitHub seems to have become the canonical code repository I'd be happy to archive the Wikimedia Git code repository, archive the Wikimedia Phabricator project MediaWiki-extensions-Wikilog in favor of https://github.com/mediawiki4intranet/Wikilog/issues , and decline any open patches in Wikimedia Gerrit.
It's just that I'd like to avoid confusion and contributors' wasted time. :)

@VitaliyFilippov: What should happen with the patches in Wikimedia Gerrit?

Aklapper renamed this task from Wikilog has more than one different Git repositories to Archive the "Wikilog" extension (has moved toGitHub).Apr 27 2017, 12:45 PM
Aklapper moved this task from Backlog to Repo setup on the Continuous-Integration-Config board.
Aklapper moved this task from Bugs & stuff to Repo Admin on the Gerrit board.
Aklapper moved this task from Incoming to Projects to archive on the Project-Admins board.
hashar added a subscriber: hashar.Jun 2 2017, 8:55 AM

Looks like we have migrated the extension from SVN to Gerrit and kept doing the basic maintenance there (l10nupdate/mediawiki compat). A fork got created on github from subversion and is apparently actively developed.

So I guess we should close the Gerrit repository and point at the github one.

The patches pending in Gerrit are for MediaWiki compatibility and I guess they can just be abandoned or trivially made on the github repo. The two patches:

So in short: lets clear out Wikilog from Gerrit, CI, translatewiki, mediawiki/extensions.git, Phabricator etc. Update the wiki to point to GitHub.

Change 359399 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Unconfigure Wikilog

https://gerrit.wikimedia.org/r/359399

Change 359399 merged by jenkins-bot:
[integration/config@master] Unconfigure Wikilog

https://gerrit.wikimedia.org/r/359399

Change 359400 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/Wikilog@master] Empty repository, moved to GitHub

https://gerrit.wikimedia.org/r/359400

Change 359400 merged by Hashar:
[mediawiki/extensions/Wikilog@master] Empty repository, moved to GitHub

https://gerrit.wikimedia.org/r/359400

Change 359402 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions@master] Unconfigure Wikilog

https://gerrit.wikimedia.org/r/359402

Change 359402 merged by Hashar:
[mediawiki/extensions@master] Unconfigure Wikilog

https://gerrit.wikimedia.org/r/359402

hashar closed this task as Resolved.Jun 16 2017, 11:27 AM
hashar claimed this task.

The extension is gone from CI/Gerrit. I have marked it read-only in Gerrit and pointed at https://github.com/mediawiki4intranet/Wikilog/

Kghbln added a subscriber: Kghbln.Jun 16 2017, 12:36 PM

So in short: lets clear out Wikilog from Gerrit, CI, translatewiki, mediawiki/extensions.git, Phabricator etc. Update the wiki to point to GitHub.

To avoid further confusion for the end-user I have updated the wiki.

Thank you everybody!

Liuxinyu970226 moved this task from Backlog to Archive extensions on the Cleanup board.